#ifndef MAEMO5GPS_H
#define MAEMO5GPS_H

#ifdef LIBLOCATION

#include <QObject>

extern "C" {
#include <location/location-gps-device.h>
#include <location/location-gpsd-control.h>
}

/*!
 * \class Maemo5GPS
 *
 * \brief Maemo5GPS class handles all operations related to obtaining geographical coordinates from the GPS.
 */
class Maemo5GPS : public QObject {
    Q_OBJECT

public:
    Maemo5GPS(QObject *parent = 0);
    ~Maemo5GPS();
    double getLat() { return latitude; }
    double getLon() { return longitude; }
    double getAcc() { return accuracy; }
    void stop();
    void restart();
    friend void Maemo5GPS_changed(LocationGPSDevice *device, Maemo5GPS *gps);

signals:
    void getOK();
    void getOK_acwp();
    void getOK_agnss();

public slots:
    void get_acwp();
    void get_agnss();

private:
    double latitude;
    double longitude;
    double accuracy;

    int usegps;

    GMainLoop *loop;
    LocationGPSDControl *control;
    LocationGPSDevice *device;

};

void Maemo5GPS_changed(LocationGPSDevice *device, Maemo5GPS *gps);

#endif // LIBLOCATION
#endif // MAEMO5GPS_H
