# Input
HEADERS += twitlib/Core.h \
    twitlib/Decipher.h \
    twitlib/QTwitLib.h \
    twitlib/Returnables.h \
    twitlib/Server.h \
    backend.h \
    applicationItems/lineedit.h \
    applicationItems/twittercheckbox.h \
    applicationItems/twitterbutton.h \
    applicationItems/twitterapplicationitem.h \
    applicationItems/loader.h \
    applicationItems/dialog.h \
    applicationItems/twittertopbar.h \
    applicationItems/twittertweetinfo.h \
    urlshortener.h \
    splashScreen/splashctrl.h \
    splashScreen/splashview.h \
    applicationmanager.h \
    loginScreen/loginctrl.h \
    loginScreen/loginview.h \
    timelineScreen/timelinectrl.h \
    timelineScreen/timelineview.h \
    location/getiplocation.h \
    location/mapzoom.h \
    location/maemo5gps.h \
    applicationItems/tweet.h \
    applicationItems/statuslist.h \
    twitpic.h
SOURCES += main.cpp \
    twitlib/Core.cpp \
    twitlib/Decipher.cpp \
    twitlib/QTwitLib.cpp \
    backend.cpp \
    applicationItems/lineedit.cpp \
    applicationItems/twittercheckbox.cpp \
    applicationItems/twitterbutton.cpp \
    applicationItems/twitterapplicationitem.cpp \
    applicationItems/loader.cpp \
    applicationItems/dialog.cpp \
    applicationItems/twittertopbar.cpp \
    applicationItems/twittertweetinfo.cpp \
    urlshortener.cpp \
    splashScreen/splashctrl.cpp \
    splashScreen/splashview.cpp \
    applicationmanager.cpp \
    loginScreen/loginctrl.cpp \
    loginScreen/loginview.cpp \
    timelineScreen/timelinectrl.cpp \
    timelineScreen/timelineview.cpp \
    location/getiplocation.cpp \
    location/mapzoom.cpp \
    location/maemo5gps.cpp \
    applicationItems/tweet.cpp \
    applicationItems/statuslist.cpp \
    twitpic.cpp
TEMPLATE = app
TARGET = tweego
DESTDIR = release
MOC_DIR = build
OBJECTS_DIR = build
UI_DIR = build
DEPENDPATH += . \
    twitlib
INCLUDEPATH += . \
    twitlib
RESOURCES += res.qrc
QT += xml \
    network \
    dbus \
    webkit
exists(/usr/lib/liblocation.so) {
    QT += maemo5
    CONFIG += link_pkgconfig
    PKGCONFIG += glib-2.0 liblocation
    DEFINES += LIBLOCATION
    message(liblocation found)
}
unix { 
    # VARIABLES
    isEmpty(PREFIX):PREFIX = /usr/local
    BINDIR = $$PREFIX/bin
    DATADIR = $$PREFIX/share
    DEFINES += DATADIR=\\\"$$DATADIR\\\" \
        PKGDATADIR=\\\"$$PKGDATADIR\\\"
    
    # MAKE INSTALL
    INSTALLS += target \
        desktop \
        iconxpm \
        icon26 \
        icon48 \
        icon64
    target.path = $$BINDIR
    desktop.path = $$DATADIR/applications/hildon
    desktop.files += $${TARGET}.desktop
    iconxpm.path = $$DATADIR/pixmap
    iconxpm.files += ../data/maemo/$${TARGET}.xpm
    icon26.path = $$DATADIR/icons/hicolor/26x26/apps
    icon26.files += ../data/26x26/$${TARGET}.png
    icon48.path = $$DATADIR/icons/hicolor/48x48/apps
    icon48.files += ../data/48x48/$${TARGET}.png
    icon64.path = $$DATADIR/icons/hicolor/64x64/apps
    icon64.files += ../data/64x64/$${TARGET}.png
}
